FreeRADIUS bug in Pfsense 2.2 all versions till now



  • At starting FreeRADIUS package, this error appears in the system log:

    root: /usr/pbi/freeradius-amd64/etc/rc.d/radiusd: WARNING: /usr/local/etc/raddb is not a directory.

    I need to change "/usr/local/etc/raddb" into "/usr/pbi/freeradius-amd64/local/etc/raddb" in file /usr/pbi/freeradius-amd64/etc/rc.d/radiusd everytime when upgrading pfsense to new version.

    I'm at Current version: 2.2-ALPHA Built On: Mon Aug 04 12:47:50 CDT 2014
    When upgrading to New version: Mon Aug 18 01:52:28 CDT 2014 another error is occuring related to the FreeRADIUS package:

    Error in system log:
    libssl version mismatch. Built with: 1000107f Linked: 1000109f

    Already tried to deinstall and reinstall the FreeRADIUS package which doesn't make any difference.

    What to do?

    Regards,
    Donald.



  • Same problem here with pfsense 2.1.5 64Bit… 32Bit works without any issues.. Could somebody help us? THX!



  • Hello,

    I have the same issues too on new fresh install in 2.0.3(x64) with the freeradius RC1 2.1.12_1/2.2.5_3 pkg v1.6.9

    The package won't start and i have this message on the log :
    /usr/pbi/freeradius-amd64/etc/rc.d/radiusd: WARNING: /usr/local/etc/raddb is not a directory.

    Thanks for the help.

    Myke.